Bug 447251 - Live CD "Install to hard disk" fails if there are any active volume groups..
Live CD "Install to hard disk" fails if there are any active volume groups..
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
: 474388 475431 (view as bug list)
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
 
Reported: 2008-05-19 01:36 EDT by Gurhan Ozen
Modified: 2013-11-03 20:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 13:48:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Installer backtrace (25.71 KB, text/plain)
2008-05-19 01:36 EDT, Gurhan Ozen
no flags Details

  None (edit)
Description Gurhan Ozen 2008-05-19 01:36:06 EDT
Description of problem:
 Booted off of live CD, and mounted hard disk which had lvm on it.. Then when
trying to install to hard disk, installer crashed during partitioning.

Version-Release number of selected component (if applicable):
Fedora 9 Live CD

How reproducible:
Very

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Backtrace is attached. Deactivating the volume group seems to work:

[root@localhost ~]# lvremove /dev/VolGroup00/LogVol00 
Do you really want to remove active logical volume "LogVol00"? [y/n]: y
  Logical volume "LogVol00" successfully removed
[root@localhost ~]# vgchange -an VolGroup00
  0 logical volume(s) in volume group "VolGroup00" now active
[root@localhost ~]#
Comment 1 Gurhan Ozen 2008-05-19 01:36:06 EDT
Created attachment 305898 [details]
Installer backtrace
Comment 2 Chris Lumens 2008-12-09 14:19:51 EST
*** Bug 474388 has been marked as a duplicate of this bug. ***
Comment 3 Chris Lumens 2008-12-10 13:16:10 EST
*** Bug 475431 has been marked as a duplicate of this bug. ***
Comment 4 Chris Lumens 2009-04-08 15:55:18 EDT
We have made extensive changes to the partitioning code for F11 beta, such that it is very difficult to tell whether your bug is still relevant or not.  Please test with either the latest rawhide you have access to or F11 and let us know whether you are still seeing this problem.  Thanks for the bug report.
Comment 5 Bug Zapper 2009-06-09 20:59:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.